rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe 89 89 89 89 89 89 89" "tests\02" 2
call scripts\gen-input-via-stdout.bat "files\gen.exe 90 90 90 91 91 91 91" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen.exe 85 86 87 88 89 90 91" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe 12 23 34 45 65 100 0" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe 88 89 99 98 99 97 90" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen.exe 93 89 99 98 99 97 90" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen.exe 88 89 99 98 99 23 90" "tests\08" 8
call scripts\gen-answer.bat tests\01 tests\01.a "tests" ""
call scripts\gen-answer.bat tests\02 tests\02.a "tests" ""
call scripts\gen-answer.bat tests\03 tests\03.a "tests" ""
call scripts\gen-answer.bat tests\04 tests\04.a "tests" ""
call scripts\gen-answer.bat tests\05 tests\05.a "tests" ""
call scripts\gen-answer.bat tests\06 tests\06.a "tests" ""
call scripts\gen-answer.bat tests\07 tests\07.a "tests" ""
call scripts\gen-answer.bat tests\08 tests\08.a "tests" ""

